<?xml version="1.0" encoding="gb2312" ?> 
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>

  <xs:element name="MAC">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="MacClearByVLAN" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ClearByVLAN" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Status" minOccurs="0" nillable="true">
                       <xs:complexType>
                         <xs:simpleContent>
                           <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>
                            <xs:enumeration value="4"/>     
                            <xs:enumeration value="5"/>  
                            <xs:enumeration value="6"/>                                                           
                           </xs:restriction>
                         </xs:simpleContent>
                       </xs:complexType>
                    </xs:element>
                    <xs:element name="VLANID" minOccurs="0">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="4094"></xs:maxInclusive>  
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>                
        </xs:element>
        <xs:element name="MacClearByPortIndex" minOccurs="0">
           <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ClearByPortIndex" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Status" minOccurs="0" nillable="true">
                       <xs:complexType>
                         <xs:simpleContent>
                           <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>                            
                           </xs:restriction>
                         </xs:simpleContent>
                       </xs:complexType>
                    </xs:element>
                    <xs:element name="PortIndex" minOccurs="0" type="base:NameAndIndexUnion">
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>                
        </xs:element>        
        <xs:element name="MacClearByStatus" minOccurs="0">
           <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ClearByStatus" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Status" minOccurs="0" nillable="true">
                       <xs:complexType>
                         <xs:simpleContent>
                           <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="5"/>
                            <xs:enumeration value="6"/>                            
                           </xs:restriction>
                         </xs:simpleContent>
                       </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
        <xs:element name="MacBatchDelete" minOccurs="0">
           <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="BatchDelete" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>                   
                    <xs:element name="FeatureId" minOccurs="0"  nillable="true">
                      <xs:complexType>
                         <xs:simpleContent>
                           <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>     
                            <xs:enumeration value="3"/>  
                            <xs:enumeration value="4"/>                            
                           </xs:restriction>
                         </xs:simpleContent>
                       </xs:complexType>
                    </xs:element>
                    <xs:element name="VlanList" minOccurs="0"  type="base:VlanList" nillable="true">
                    </xs:element>
                    <xs:element name="PortList" minOccurs="0"  type="base:PortList" nillable="true">
                    </xs:element>
                    <xs:element name="MacAddress" minOccurs="0"  type="base:MacAddress" nillable="true">
                    </xs:element>
                    <xs:element name="MacMask" minOccurs="0"  type="base:MacAddress" nillable="true">
                    </xs:element>
                    <xs:element name="Status" minOccurs="0" type="base:UnsignedInteger32" nillable="true">                       
                    </xs:element>
                    <xs:element name="DeleteFlag" minOccurs="0" nillable="true">
                      <xs:complexType>
                         <xs:simpleContent>
                           <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>                          
                           </xs:restriction>
                         </xs:simpleContent>
                       </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>                
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>
